Name:      schismtracker
Version:   0.5
Release:   0.5.rc1%{?dist}
Summary:   Sound module composer/player
Group:     Applications/Multimedia
License:   GPLv2
URL:       http://www.nimh.org/schismtracker/
Source0:   http://www.rigelseven.com/schism/dl/schismtracker-%{version}rc1.tar.bz2
Source1:   schismtracker.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: hicolor-icon-theme
BuildRequires: SDL-devel desktop-file-utils
%if 0%{!?_without_x:1}
BuildRequires: libXt-devel libXxf86misc-devel libXv-devel
%endif

%description
Schismtracker is a module tracker for the X Window System similar to
the DOS program `Impulse Tracker'. Schismtracker can play/modify various
sound formats such as MOD, S3M, XM, IT, 669 and others.  The user interface
is mostly text-based using SDL for graphical output.

%prep
%setup -q -n %{name}-%{version}rc1

%build
%configure --disable-dependency-tracking \
%if 0%{?_without_x:1}
--with-x=no \
%endif
;
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

pushd icons
for i in 16 22 24 32 36 48 64 72 96; do
        install -m644 -D schism-icon-${i}.png %{buildroot}/%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done
install -m644 -D schism-icon.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
popd

desktop-file-install --vendor fedora \
        --dir %{buildroot}/%{_datadir}/applications \
%SOURCE1

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.frag-opt COPYING.libmodplug NEWS README
%{_bindir}/schismtracker
%{_datadir}/applications/fedora-schismtracker.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Wed May 09 2007 Jindrich Novy <jnovy@fedoraproject.org> 0.5-0.5.rc1
- update License
- rebuild for BuildID

* Wed May 09 2007 Jindrich Novy <jnovy@fedoraproject.org> 0.5-0.4.rc1
- bump release to avoid EVR problems with FC-5/FC-6

* Fri May 04 2007 Jindrich Novy <jnovy@fedoraproject.org> 0.5-0.3.rc1
- add X dependencies (#238824), thanks to Ville Skyttä
- tune the .desktop file yet more

* Fri May 04 2007 Jindrich Novy <jnovy@fedoraproject.org> 0.5-0.2.rc1
- update GTK icon caches in %%post, %%postun
- remove unneeded dependencies
- update .desktop file

* Wed May 02 2007 Jindrich Novy <jnovy@fedoraproject.org> 0.5-0.1rc1
- package schismtracker
